org.apache.http.conn.params

## Class ConnRouteParams

- java.lang.Object
- - org.apache.http.conn.params.ConnRouteParams

All Implemented Interfaces:
  ConnRoutePNames

Deprecated.
(4.3) use `RequestConfig`.

    @Deprecated
    @Contract(threading=IMMUTABLE)
    public class ConnRouteParams
    extends Object
    implements ConnRoutePNames

An adaptor for manipulating HTTP routing parameters in `HttpParams`.

Since:
  4.0

### Field Summary

Fields
`static org.apache.http.HttpHost` `NO_HOST` Deprecated. A special value indicating "no host".
`static HttpRoute` `NO_ROUTE` Deprecated. A special value indicating "no route".

### Fields inherited from interface org.apache.http.conn.params.ConnRoutePNames

`DEFAULT_PROXY, FORCED_ROUTE, LOCAL_ADDRESS`

### Method Summary

Methods
`static org.apache.http.HttpHost` `getDefaultProxy(org.apache.http.params.HttpParams params)` Deprecated. Obtains the `DEFAULT_PROXY` parameter value.
`static HttpRoute` `getForcedRoute(org.apache.http.params.HttpParams params)` Deprecated. Obtains the `FORCED_ROUTE` parameter value.
`static InetAddress` `getLocalAddress(org.apache.http.params.HttpParams params)` Deprecated. Obtains the `LOCAL_ADDRESS` parameter value.
`static void` `setDefaultProxy(org.apache.http.params.HttpParams params, org.apache.http.HttpHost proxy)` Deprecated. Sets the `DEFAULT_PROXY` parameter value.
`static void` `setForcedRoute(org.apache.http.params.HttpParams params, HttpRoute route)` Deprecated. Sets the `FORCED_ROUTE` parameter value.
`static void` `setLocalAddress(org.apache.http.params.HttpParams params, InetAddress local)` Deprecated. Sets the `LOCAL_ADDRESS` parameter value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_HOST

    public static final org.apache.http.HttpHost NO_HOST

Deprecated.
A special value indicating "no host". This relies on a nonsense scheme name to avoid conflicts with actual hosts. Note that this is a valid host.

#### NO_ROUTE

    public static final HttpRoute NO_ROUTE

Deprecated.
A special value indicating "no route". This is a route with `NO_HOST` as the target.

### Method Detail

#### getDefaultProxy

    public static org.apache.http.HttpHost getDefaultProxy(org.apache.http.params.HttpParams params)

Deprecated.
Obtains the `DEFAULT_PROXY` parameter value. `NO_HOST` will be mapped to `null`, to allow unsetting in a hierarchy.

Parameters:
  `params` - the parameters in which to look up
Returns:
  the default proxy set in the argument parameters, or `null` if not set

#### setDefaultProxy

    public static void setDefaultProxy(org.apache.http.params.HttpParams params,
                       org.apache.http.HttpHost proxy)

Deprecated.
Sets the `DEFAULT_PROXY` parameter value.

Parameters:
  `params` - the parameters in which to set the value
  `proxy` - the value to set, may be `null`. Note that `NO_HOST` will be mapped to `null` by `getDefaultProxy(org.apache.http.params.HttpParams)`, to allow for explicit unsetting in hierarchies.

#### getForcedRoute

    public static HttpRoute getForcedRoute(org.apache.http.params.HttpParams params)

Deprecated.
Obtains the `FORCED_ROUTE` parameter value. `NO_ROUTE` will be mapped to `null`, to allow unsetting in a hierarchy.

Parameters:
  `params` - the parameters in which to look up
Returns:
  the forced route set in the argument parameters, or `null` if not set

#### setForcedRoute

    public static void setForcedRoute(org.apache.http.params.HttpParams params,
                      HttpRoute route)

Deprecated.
Sets the `FORCED_ROUTE` parameter value.

Parameters:
  `params` - the parameters in which to set the value
  `route` - the value to set, may be `null`. Note that `NO_ROUTE` will be mapped to `null` by `getForcedRoute(org.apache.http.params.HttpParams)`, to allow for explicit unsetting in hierarchies.

#### getLocalAddress

    public static InetAddress getLocalAddress(org.apache.http.params.HttpParams params)

Deprecated.
Obtains the `LOCAL_ADDRESS` parameter value. There is no special value that would automatically be mapped to `null`. You can use the wildcard address (0.0.0.0 for IPv4, :: for IPv6) to override a specific local address in a hierarchy.

Parameters:
  `params` - the parameters in which to look up
Returns:
  the local address set in the argument parameters, or `null` if not set

#### setLocalAddress

    public static void setLocalAddress(org.apache.http.params.HttpParams params,
                       InetAddress local)

Deprecated.
Sets the `LOCAL_ADDRESS` parameter value.

Parameters:
  `params` - the parameters in which to set the value
  `local` - the value to set, may be `null`